# NonRecoverableErrorEvent class

Triggered when a reconnection is not performed due to a non-recoverable error.

Inheritance
  - Object
  - XmppEvent
  - NonRecoverableErrorEvent

## Constructors

NonRecoverableErrorEvent (XmppError error)

## Properties

error → XmppError
  The error in question.
  final
hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited